<div
  x-data="{ 
    auth: App.Auth,
    session: App.Auth.Session,
    profile: null, 
  }"
  x-init="
    session = await auth.getSession();
    profile = await auth.getProfile();
  "
>
    
  <div class="rounded-t-lg h-32 overflow-hidden bg-gradient-to-r from-blue-800 to-indigo-900"></div>

  <!-- User profile icon -->
  <div
    class="mx-auto w-32 h-32 relative -mt-16 border-4 border-white rounded-full overflow-hidden"
  >
    <svg
      x-show="!profile?.avatar_url"
      class="object-cover object-center h-32 bg-white/75"
      xmlns="http://www.w3.org/2000/svg"
      xmlns:xlink="http://www.w3.org/1999/xlink"
      version="1.1"
      viewBox="0 -256 1792 1792"
    >
      <g transform="matrix(1,0,0,-1,197.42373,1300.6102)">
        <path
          d="M 1408,131 Q 1408,11 1335,-58.5 1262,-128 1141,-128 H 267 Q 146,-128 73,-58.5 0,11 0,131 0,184 3.5,234.5 7,285 17.5,343.5 28,402 44,452 q 16,50 43,97.5 27,47.5 62,81 35,33.5 85.5,53.5 50.5,20 111.5,20 9,0 42,-21.5 33,-21.5 74.5,-48 41.5,-26.5 108,-48 Q 637,565 704,565 q 67,0 133.5,21.5 66.5,21.5 108,48 41.5,26.5 74.5,48 33,21.5 42,21.5 61,0 111.5,-20 50.5,-20 85.5,-53.5 35,-33.5 62,-81 27,-47.5 43,-97.5 16,-50 26.5,-108.5 10.5,-58.5 14,-109 Q 1408,184 1408,131 z m -320,893 Q 1088,865 975.5,752.5 863,640 704,640 545,640 432.5,752.5 320,865 320,1024 320,1183 432.5,1295.5 545,1408 704,1408 863,1408 975.5,1295.5 1088,1183 1088,1024 z"
        />
      </g>
    </svg>
    <img
      x-show="profile?.avatar_url"
      x-bind:src="profile?.avatar_url"
      x-bind:alt="profile?.name"
      class="object-cover object-center h-32 p-0 m-0 bg-white/75"
    />
  </div>

  <!-- User Display Name -->
  <div class="text-center">
    <h3
      class="text-xl font-semibold leading-normal mb-2 text-blueGray-700 mb-2"
      x-text="profile?.name"
    ></h3>
  </div>

  <!-- Additional Links -->
  <div class="text-left mx-8">
    <div x-show="profile?.email" class="mb-2 text-blueGray-600 mt-10 truncate">
      <i class="fas fa-envelope mr-2 text-lg text-blueGray-400"></i>
      <a
        target="_blank"
        class="no-underline"
        x-bind:href="!profile?.email ? '' : 'mailto:' + profile.email"
        x-text="profile?.email"
      ></a>
    </div>
    <div class="mb-2 text-blueGray-600 truncate">
      <i class="fas fa-id-card mr-2 text-lg text-blueGray-400"></i>
      <a
        class="no-underline"
        target="_blank"
        x-bind:href="!profile?.web_url ? '' : profile.web_url"
        x-text="profile?.web_url"
      ></a>
    </div>
    <div x-show="session?.type" class="mb-2 text-blueGray-600 truncate">
      <i class="fas fa-shield mr-2 text-lg text-blueGray-400"></i>
      <span class="text-gray-500">Login Provider:</span>
      <span class="no-underline" x-text="session?.type"></span>
    </div>
  </div>
  <div class="mb-8"></div>

  <div class="p-4 border-t mx-8 mt-2">
    <button
      x-show="!auth.isAuthenticated()"
      x-bind:href="session?.state?.login_url"
      @click.prevent="await startLogin(session)"
      class="w-1/2 block mx-auto rounded-full bg-gray-900 hover:shadow-lg font-semibold text-white px-6 py-2"
    >
      Login
    </button>
    <button
      x-cloak
      x-show="auth.isAuthenticated()"
      x-bind:href="session?.state?.login_url"
      @click.prevent="await auth.signOut(session)"
      class="w-1/2 block mx-auto rounded-full bg-gray-900 hover:shadow-lg font-semibold text-white px-6 py-2"
    >
      Sign Out
    </button>
  </div>
</div>